## net.reactivated.Fprint.Manager

net.reactivated.Fprint.Manager — Manager interface

## Methods

    GetDevices       (out 'ao' devices)
    GetDefaultDevice (out 'o'  device)

## Implemented Interfaces

Objects implementing net.reactivated.Fprint.Manager also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Description

## Details

### GetDevices ()

    GetDevices (out 'ao' devices)

Enumerate all the fingerprint readers attached to the system. If there are no devices available, an empty array is returned.

`devices`: | An array of object paths for devices.

### GetDefaultDevice ()

    GetDefaultDevice (out 'o' device)

Returns the default fingerprint reader device.

`device`: | The object path for the default device.

#### Errors

`net.reactivated.Fprint.Error.NoSuchDevice`: | if the device does not exist